PETSc version 3.15.5
Fix/Edit manual page

# DMMoabVecGetArrayRead

Returns the read-only direct access array to the local representation of MOAB tag data for the underlying vector using locally owned+ghosted range of entities

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode  DMMoabVecGetArrayRead(DM dm, Vec vec, void* array)

Collective

### Input Parameter

| dm | - The DMMoab object being set
| vec | - The Vector whose underlying data is requested

### Output Parameter

| array | - The local data array

### See Also

DMMoabVecRestoreArrayRead(), DMMoabVecGetArray(), DMMoabVecRestoreArray()

### Level

intermediate

### Location

src/dm/impls/moab/dmmbvec.cxx

### Examples

src/ts/tutorials/ex35.cxx.html
Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages